/* ******************** */
/* SECTION: BOOK BANNER */
/* ******************** */

/* MOBILE */
.book-banner .book-banner-content h3{
    margin: 0;
    color: var(--main-black-2);
    font-feature-settings: 'clig' off, 'liga' off;
    font-size: 18px;
    font-weight: 700;
    line-height: 25px;
}
 .width-pax{
    width: 20%;
}
 .width-currency{
    width: 12%;
}
.width-from{
    width: 21%;
}
.width-to{
    width: 23%;
}
.search-results-mobile{
    border: none !important;
    border-radius: 0px !important ;
    box-shadow: none !important;
    margin-top: 0px !important;
    padding: 0px !important;
}

.section-book {
    background-color: white;
    box-shadow: 0px 4px 25px 0px rgba(121, 128, 151, 0.25);
}

.section-book .home_banner_img {
    width: 100%;
    margin-bottom: 20px;
}

.section-book .overlay-book {
    position: relative;
    z-index: 999;
    background: linear-gradient(230deg, rgba(62, 167, 222, 0.15) 35%, rgba(62, 167, 222, 0.00) 50%);
}

.section-book .nav-tabs {
    flex-flow: row;
}

.book-container {
    margin: auto;
    padding: 30px 0 17px;
}


.book-label {
    margin: 10px 0 -5px;
}
.search-results .book-label{
    margin: 10px 0;
}
/* Only Desktop */
.book-banner .autocomplete-destinations,
.book-banner .autocomplete-zones{
    /* Pendiente agregar estilos para Firefox, ya que no soporta webkits: investigar */
    overflow-y: scroll;
    padding-right: 5px;
}
/* Algolia Input Custom */
.book-banner .autocomplete-destinations{
    height: 160px;
}
.book-banner .autocomplete-zones,
.book-banner .autocomplete-destinations.zero{
    height: 75px;
}
/* Estilo básico del scrollbar */
.book-banner .autocomplete-destinations::-webkit-scrollbar,
.book-banner .autocomplete-zones::-webkit-scrollbar {
    /* Ancho del scrollbar */
    width: 14px;
}
/* Estilo del track (la parte por donde se desliza el thumb) */
.book-banner .autocomplete-destinations::-webkit-scrollbar-track,
.book-banner .autocomplete-zones::-webkit-scrollbar-track {
    /* Color de fondo del track */
    background: transparent;
}
.book-banner .autocomplete-destinations::-webkit-scrollbar-track:hover,
.book-banner .autocomplete-zones::-webkit-scrollbar-track:hover {
    background: #f1f1f1;
    border-radius: 10px;
}
/* Estilo del thumb (la parte que se mueve del scrollbar) */
.book-banner .autocomplete-destinations::-webkit-scrollbar-thumb,
.book-banner .autocomplete-zones::-webkit-scrollbar-thumb {
    /* Color del thumb */
    /* background: #2ea3f84d; */
    background: #c1c1c1;
    border-radius: 10px;
}
/* Estilo del thumb al pasar el mouse */
.book-banner .autocomplete-destinations::-webkit-scrollbar-thumb:hover,
.book-banner .autocomplete-zones::-webkit-scrollbar-thumb:hover {
    /* Oscurece el thumb cuando se pasa el mouse */
    /* background: #2ea3f8bf; */
    background: #a8a8a8;
    border-radius: 10px;
}

.search-input-mobile,
.book-select-destination,
.select-pax-mobile,
.select-currency-mobile,
.book-date,
.input-daterange {
    margin: 5px 0 15px;
    padding: 15px 10px;
    width: -webkit-fill-available;
    border-radius: 32.5px;
    border: 1px solid #E9E8F2;
    background: #FFF;
    box-shadow: 0px 4px 15px 0px rgba(28, 36, 47, 0.05);
}

.search-input-mobile,
.input-daterange {
    padding-left: 20px;
}

.book-container h1 {
    text-align: center;
    margin-top: auto;
    margin-bottom: auto;
}

.book-container .subtitle {
    color: #5C6A75;
    text-align: center;
}

.book-banner-content .search-results {
    display: none;
    z-index: 1;
    padding: 15px;
    margin-top: 40px;
    width: auto;
    position: absolute;
    background: #FFF;
    background-color: white;
    box-shadow: 0px 4px 15px 0px rgba(88, 103, 246, 0.10);
    border: 1px solid #D9D9D9;
    border-radius: 10px;
}

.book-banner-content .search-results p {
    cursor: pointer;
    margin-bottom: 10px;
    padding-right: 10px;
    align-items: center;
}

.book-banner-content .search-results p:hover {
    background-color: var(--main-blue-focus);
    border-radius: 10px;
}

.ais-Hits-item em, .search-results mark,
.search-results-mobile em,
.search-results-mobile-from em,
.search-results em,
.search-results mark {
    font-weight: bold;
    font-style: normal;
    background-color: transparent;
    padding: 0;
}

.book-banner-content .search-target-mobile {
    display: none;
    z-index: 999;
    padding: 15px;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    position: fixed;
    background-color: white;
}

.search-input-mobile {
    margin: 5px 0 15px;
}

.search-target-mobile a {
    margin-top: -30px;
    display: flex;
    justify-content: flex-end;
    font-size: 30px;
    text-decoration: none;
    color: var(--main-black-3);
    border-bottom: 1.5px solid var(--main-gray-3);
}

.after-input-icon {
    margin-top: 5px;
    margin-right: 10px;
}

.init-search-mobile {
    width: 100%;
    border: none;
}

.ais-SearchBox,
.ais-SearchBox-form,
.ais-SearchBox-input {
    width: 100%;
    height: 100%;
    display: flex;
}

.init-search-mobile,
.ais-SearchBox-input,
.select-pax,
.select-currency,
.input-date {
    border-style: none;
    padding-right: 10px;
}
/* Temporal en lo que se acomodan y depuran todos los .CSS */
.ais-SearchBox-input,
.init-search-mobile,
.input-date{
    overflow: hidden; /* Oculta el texto que excede el ancho del contenedor */
    white-space: nowrap; /* Evita que el texto se divida en múltiples líneas */
    text-overflow: ellipsis; /* Agrega puntos suspensivos (...) al final del texto que excede el ancho */
}

.init-search-mobile:focus,
.ais-SearchBox-input:focus,
.select-pax:focus,
.select-currency:focus,
.input-date:focus {
    outline: none;
}

.search-input .ais-SearchBox-input,
.before-input-icon,
.select-pax,
.select-pax-mobile,
.select-currency-mobile,
.input-date {
    background-size: 20px 20px;
    background-repeat: no-repeat;
    background-position: 0 center;
    padding-left: 30px;
}

.search-input .ais-SearchBox-input,
.before-input-icon {
    background-image: url('../images/icons/hotel-icon.svg');
}

.search-input .ais-SearchBox-submit .ais-SearchBox-submitIcon,
.after-input-icon {
    width: 20px;
    height: 20px;
    display: block;
    align-self: center;
    background-image: url('../images/icons/search-icon.svg');
    background-size: contain;
    background-repeat: no-repeat;
}

.select-pax,
.select-pax-mobile {
    background-image: url('../images/icons/group-icon.svg');
    background-position: 20px;
}

.select-currency-mobile {
    background-image: url('https://www.smartgotravel.com/assets/images/icons/currency-icon.svg');
    background-position: 20px;
}

.select-pax::-ms-expand {
    display: none;
}

.input-date {
    width: 100%;
    padding-right: 20px;
    text-transform: uppercase;
    background-image: url('../images/icons/date-icon.svg');
}

.book-banner-mobile {
    padding: 0 16px;
}

.book-banner-mobile .form-check {
    margin: 5px 0 15px;
    border-radius: 10px;
    border: 1px solid #D9D9D9;
    background: #FFF;
    box-shadow: 0px 4px 15px 0px rgba(88, 103, 246, 0.10);
}

.book-button-div {
    display: flex;
}

.book-button {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
    border-radius: 30px;
    font-size: 18px;
    padding: 10px 17px 10px 32px;
    cursor: pointer;
    color: white;
    background-color: var(--main-blue);
    box-shadow: 0px 4px 15px 0px rgba(88, 103, 246, 0.10);
}

.book-button .btn-circle {
    background-color: #2391E0;
}

/* DESKTOP */
.tab-content {
    position: sticky;
    padding: 15px 9px 12px 22px;
    border-radius: 20px;
    border: 1.5px solid #E9E8F2;
    background: white;
    box-shadow: 0px 4px 15px 0px rgba(28, 36, 47, 0.05);
}

/* DESKTOP STIKY*/
.div_search_floating_stiky .tab-content {
    position: sticky;
    padding: 0 0 15px 0;
    border-radius: 0;
    border: 0;
    background: white;
    box-shadow: 0px 4px 15px 0px rgba(28, 36, 47, 0.05);
}


/* DESKTOP */
.tab-content.sticky {
    padding: 0px 25px 10px;
    border: 0px solid #E9E8F2;
    background: white;
    box-shadow: inset 0 0px 0px 0px rgba(28, 36, 47, 0.05)
}

.line {
    border: 1.5px solid #8b8b87; /* Eliminar el borde predeterminado */
    height: 1px; /* Altura de la línea */
    background-color: #000000; /* Color de la línea */
    margin: 14px 0; /* Margen superior e inferior */
}



@media (max-width: 767px) {
    .book-banner-mobile {
        display: block;
    }

    .book-banner {
        display: none;
    }
}

@media (min-width: 768px) {
    .section-book .home_banner_img {
        aspect-ratio: 16/10;
        margin-bottom: -35px;
    }
    .book-container h1 {
        text-align: start;
    }

    .book-container .subtitle {
        margin-top: 20px;
        text-align: start;
    }

    .book-banner-mobile {
        display: none;
    }

    .input-daterange {
        margin: 5px 10px 15px;
    }

    .book-button {
        border-radius: 20px;
    }

    .book-btn-location {
        display: flex;
        height: auto;
        flex-direction: column;
        justify-content: center;
    }

    .book-banner {
        display: block;
    }

    .select-pax{
        background-position: 0;
    }
    .input-date {
        padding-right: 30px;
    }
}

@media (min-width: 992px) {
    .book-banner .book-banner-content .width-pax {
        width: 22%;
    }
    .book-banner .book-banner-content .width-date{
        width: 30%;
    }
    .book-banner .book-banner-content .width-date-hh{
        width: 20%;
    }
    .book-button{
        font-size: 16px;
    }
}

@media (min-width: 992px) and (max-width: 1199px){
    .book-banner .book-banner-content .width-pax {
        width: 22%;
    }
    .book-banner .book-banner-content .width-date{
        width: 30%;
    }
    .book-button{
        font-size: 16px;
    }
}

@media (min-width: 1200px) {
    .book-container .subtitle {
        margin-top: 20px;
    }

    .book-button {
        display: flex;
        align-items: center;
        justify-content: space-between;
        border-radius: 20px;
        font-size: 18px;
        padding: 20px 17px 20px 32px;
        color: white;
        background-color: var(--main-blue);
        box-shadow: 0px 4px 15px 0px rgba(88, 103, 246, 0.10);
    }
}